# Uses of Interface
org.opensaml.soap.wstrust.Code

Packages that use Code
Package
Description
org.opensaml.soap.wstrust
XMLObject interfaces for WS-Trust 1.3 elements.
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of Code in org.opensaml.soap.wstrust

Methods in org.opensaml.soap.wstrust that return Code
Modifier and Type
Method
Description
`Code`
Status.`getCode()`
Returns the wst:Code child element.
Methods in org.opensaml.soap.wstrust with parameters of type Code
Modifier and Type
Method
Description
`void`
Status.`setCode(Code code)`
Sets the wst:Code child element.

## Uses of Code in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement Code
Modifier and Type
Class
Description
`class`
`CodeImpl`
CodeImpl.
Fields in org.opensaml.soap.wstrust.impl declared as Code
Modifier and Type
Field
Description
`private Code`
StatusImpl.`code`
The Code child element.
Methods in org.opensaml.soap.wstrust.impl that return Code
Modifier and Type
Method
Description
`Code`
CodeBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`Code`
CodeBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Code`
StatusImpl.`getCode()`
Returns the wst:Code child element.
Methods in org.opensaml.soap.wstrust.impl with parameters of type Code
Modifier and Type
Method
Description
`void`
StatusImpl.`setCode(Code newCode)`
Sets the wst:Code child element.